Replace Cert Library Item Consumer Refs

Replace Cert Library Item Consumer Refs
Replaces the existing consumer refs with the used by references supplied.

Replaces the existing consumer refs with the consumer references supplied.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/ssl/certificateLibrary/{certLibraryItemId}/consumers
COPY
Path Parameters
string
certLibraryItemId
Required

certLibraryItemId


Request Body
EntityReferences of type(s) application/json
Optional
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "id": "string"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns EntityReferences of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineEntityReferences1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "id": "string"
        }
    ]
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"values":["object"]}' https://{api_host}/cloudapi/1.0.0/ssl/certificateLibrary/{certLibraryItemId}/consumers